{% extends 'base.html.twig' %}

{% block title %}Hello EvenementController!{% endblock %}

{% block body %}
    <style>
        .example-wrapper {
            margin: 1em auto;
            max-width: 800px;
            width: 95%;
            font: 18px/1.5 sans-serif;
        }

        .example-wrapper code {
            background: #F5F5F5;
            padding: 2px 6px;
        }
    </style>

    <section class="irs-inner-page-heading irs-layer-black">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="irs-inner-heading">

                        <h2> Evenement </h2>
                        <i class="icofont icofont-education"></i>


                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="irs-courses-field">
        <div class="sidebar-search">
            <div class="input-group custom-search-form" style="margin: auto;margin-bottom: 30px">
                <label for="search">Rechercher</label><input type="text" id="search" class="form-control"
                                                             placeholder="Rechercher">
            </div>
        </div>


        <div class="row animatedParent animateOnce" id="events-holder" style="margin: auto">
            {% for event in evenement %}
                <div class="col-md-4 col-sm-6" style="width: 350px;height: 600px">
                    <div class="irs-courses-col animated  slow delay-250" style="min-height: 500px">

                        <div class="irs-courses-img">
                            <img src="{{ event.image }}" style="width: fit-content;height: 200px" alt="">
                            <div class="irs-time">
                                <p><a href="#">{{ event.lieu }}</a>
                                </p>
                            </div>
                            <div class="irs-courses-img-text">
                                <ul class="clearfix">
                                    <li>
                                        <p><i class="zmdi zmdi-calendar-alt"></i> {{ event.heure }}
                                            - {{ event.datedebut|date("m/d/Y") }}</p>
                                    </li>
                                    <li class="pull-right">
                                        <p><i class="zmdi zmdi-money"></i> {{ event.cout }}</p>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="irs-courses-content">
                            <h4><a href="">{{ event.nom }}</a></h4>
                            <p>{{ event.description }}</p>
                            <p> Nombre de participants : {{ event.nbrepart }}</p>

                            {% if    render(controller(
                                'App\\Controller\\EvenementController::part',
                                { 'uid': app.user,"eid": event.id }
                                ))== "false" and  render(controller(
                                'App\\Controller\\EvenementController::egale',
                                { "id": event.id }
                                ))== "true"  and app.user %}
                                <a class="irs-log-reg" href="{{ path ('participation',{ id: event.id}) }}"
                                   role="button">participer</a>
                            {% elseif render(controller(
                                'App\\Controller\\EvenementController::part',
                                { 'uid': app.user,"eid": event.id }
                                ))== "true" and render(controller(
                                'App\\Controller\\EvenementController::egale',
                                { "id": event.id }
                                ))== "true" and app.user %}
                                <h3> vous avez déja participé </h3>
                            {% endif %}

                            {% if    render(controller(
                                'App\\Controller\\EvenementController::egale',
                                { "id": event.id }
                                ))== "false" and  app.user %}
                                <h3> cet événement est complet </h3>
                            {% endif %}
                        </div>
                    </div>
                </div>
            {% endfor %}

        </div>

        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>

        <script type="text/javascript"><!--

            jQuery(document).ready(function ($) {
                var all = $('#events-holder').html();

                $('#search').keyup(function (e) {
                    var value = $(this).val();
                    e.preventDefault();
                    $('#events-holder').html("");

                    $.get("search/" + value, function (data, textStatus, xhr) {
                        console.log(value);
                        if ("object" !== typeof data || null === data) {
                            return;
                        }

                        if (!data.hasOwnProperty("html") || typeof data.html != "string" || (data.html = data.html.trim()).length < 1) {

                            return;

                        }


                        $('#events-holder').html(data.html);

                    }).fail(function (xhr, textStatus, errorThrown) {

                        var error = "Unknown error occurred.";
                        if ("object" === typeof xhr && null !== xhr && xhr.hasOwnProperty("responseJSON") && "object" === typeof xhr.responseJSON && xhr.responseJSON.hasOwnProperty("error") && "string" === typeof xhr.responseJSON.error && xhr.responseJSON.error.trim().length >= 1) {
                            error = xhr.responseJSON.error.trim();
                        } else if ("string" === typeof errorThrown && errorThrown.trim().length >= 1) {
                            error = errorThrown.trim();
                        }
                        if (value.length === 0) {
                            $('#events-holder').append(all);
                        }
                    });

                });

            });

            --></script>

    </section>

{% endblock %}









